import { Component, Input, Output, EventEmitter } from '@angular/core';
import { User } from 'app/admin/user-management/user-management.model';

@Component({
  selector: 'app-multi-select-dropdown',
  templateUrl: './multi-select-dropdown.component.html',
  styleUrls: ['./multi-select-dropdown.component.scss'],
})
export class MultiSelectDropdownComponent {
  @Input() list: User[] | undefined;

  @Output() shareCheckedList = new EventEmitter();
  showDropDown = true;

  @Input() checkedList: string[];
  currentSelected!: User;

  search = '';

  constructor() {
    this.checkedList = [];
  }

  getSelectedValue(status: boolean, value: User) {
    if (status) {
      this.checkedList.push(value.email!);
    } else {
      const index = this.checkedList.indexOf(value.email!);
      this.checkedList.splice(index, 1);
    }

    this.currentSelected = value;

    this.shareCheckedUserList();
  }
  shareCheckedUserList() {
    this.shareCheckedList.emit(this.checkedList);
  }
}
