import dayjs from 'dayjs/esm';
import { IReview } from 'app/entities/review/review.model';
import { IReviewRating } from 'app/entities/review-rating/review-rating.model';
import { IUser } from 'app/entities/user/user.model';
import { ReviewStatus } from 'app/entities/enumerations/review-status.model';

export interface IReviewHistoryEntry {
  id?: number;
  message?: string;
  type?: ReviewStatus;
  entryDate?: dayjs.Dayjs;
  review?: IReview;
  reviewRating?: IReviewRating | null;
  user?: IUser | null;
}

export class ReviewHistoryEntry implements IReviewHistoryEntry {
  constructor(
    public id?: number,
    public message?: string,
    public type?: ReviewStatus,
    public entryDate?: dayjs.Dayjs,
    public review?: IReview,
    public reviewRating?: IReviewRating | null,
    public user?: IUser | null
  ) {}
}

export function getReviewHistoryEntryIdentifier(reviewHistoryEntry: IReviewHistoryEntry): number | undefined {
  return reviewHistoryEntry.id;
}
